Name: sac
Version: 1.3
Release: %mkrel 14
Summary: Java standard interface for CSS parser
License: W3C
Group:   System/Libraries
Source0: http://www.w3.org/2002/06/%{name}java-%{version}.zip
Source1: %{name}-build.xml
Source2: %{name}-MANIFEST.MF
Source3: http://mirrors.ibiblio.org/pub/mirrors/maven2/org/w3c/css/sac/1.3/sac-1.3.pom
URL: http://www.w3.org/Style/CSS/SAC/
BuildRequires: ant, java-devel >= 0:1.6.0, jpackage-utils, java-rpmbuild, zip
Requires: java >= 0:1.6.0, jpackage-utils
BuildArch: noarch

%description
SAC is a standard interface for CSS parsers, intended to work with CSS1, CSS2,
CSS3 and other CSS derived languages.

%package javadoc
Group:   Documentation
Summary: Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
install -m 644 %{SOURCE1} build.xml
find . -name "*.jar" -exec rm -f {} \;

%build
ant jar javadoc

%install
rm -rf $RPM_BUILD_ROOT

# inject OSGi manifests
mkdir -p META-INF
cp -p %{SOURCE2} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/lib/sac.jar META-INF/MANIFEST.MF

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p ./build/lib/sac.jar $RPM_BUILD_ROOT%{_javadir}/sac.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%add_to_maven_depmap org.w3c.css sac %{version} JPP sac

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE3} \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc COPYRIGHT.html
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc COPYRIGHT.html
%{_javadocdir}/%{name}



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.3-14.mga3
+ Revision: 381650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.3-13.mga3
+ Revision: 305466
- Documentation group

* Fri Jun 29 2012 dmorgan <dmorgan> 1.3-12.mga3
+ Revision: 265182
- Rebuild against new java

* Wed Jan 26 2011 dmorgan <dmorgan> 1.3-9.mga1
+ Revision: 40189
- Add zip as buildrequire
- Adapt for mageia
- imported package sac

